<?php
/**
 * Created by IntelliJ IDEA.
 * User: Christoph
 * Date: 12.02.2018
 * Time: 23:32
 */
session_start();

if (empty($_SESSION['status'])) {
    if (!file_exists('config/config.inc.php')) {
        $_SESSION['status'] = 'error';
    } else {
        $_SESSION['status'] = 'login';
    }
}

if( $_SESSION['status'] == "login") {
    echo "<html>
        <head>
            <script>
                setTimeout(\"window.location.href='login.php'\", 0);
            </script>
        </head>
        <body>
        </body>
        </html>";
    return;
}

include '../config/config.inc.php';
$data = new Config();



// Create connection
$conn = new mysqli($data->getSQLHost(), $data->getSQLUser(), $data->getSQLPassword(), $data->getSQLDatabase());
mysqli_set_charset($conn, "utf8");

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}
$result = $conn->query("SELECT * FROM `feuerwehr_pi`");

include("include/header.php");?>

<main class="mdl-layout__content mdl-color--grey-100">
    <div class="mdl-grid demo-content">
        <div class="demo-charts mdl-color--white mdl-shadow--2dp mdl-cell mdl-cell--12-col mdl-grid">
            <form>
                <div class="mdl-textfield mdl-js-textfield getmdl-select">
                    <input class="mdl-textfield__input" value="" id="ort" readonly/>
                    <input value="" type="hidden" name="ort"/>
                    <label class="mdl-textfield__label" for="ort">Wache</label>
                    <ul class="mdl-menu mdl-menu--bottom-left mdl-js-menu" for="country">
                        <li class="mdl-menu__item" data-val="BLR">Belarus</li>
                        <?php
                        if ($result->num_rows > 0) {
                            // output data of each row
                            while ($row = $result->fetch_assoc()) {
                                echo("<li class='mdl-menu__item' data-val=\'". $row['id'] ."'>". $row['Ort'] ."</li>");
                            }
                        }
                        ?>
                        </ul>
                </div>

                <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
                    <input class="mdl-textfield__input" type="text" id="name">
                    <label class="mdl-textfield__label" for="name">Funkrufnummer</label>


                    <input class="mdl-textfield__input" type="text" id="number">
                    <label class="mdl-textfield__label" for="number">Funkname</label>


                    <input class="mdl-textfield__input" type="text" id="type">
                    <label class="mdl-textfield__label" for="type">Fahrzeug</label>
                </div>
                <button class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect mdl-button--colored">
                    <input type="submit" value="OK">
                </button>
            </form>
        </div>
    </div>
</main>